from hestia_earth.calculation.calculation_hierarchies import Emissions_hierarchy
from hestia_earth.calculation.models.backgroundmodel import Backgroungmodel
from hestia_earth.utils.api import download_hestia

MODEL_KEY = 'co2ToAirAllOrigins'


class Hierarchy_co2ToAirAllOrigins(Emissions_hierarchy):
    def __init__(self):
        super().__init__()
        self.term = download_hestia(MODEL_KEY)

        model1 = Backgroungmodel()

        self.models = [model1]

    def calculate_model(self, model, cycle):
        self.best_result = model.calculate_background(MODEL_KEY)
        self.best_tier = model.tier

    def check_model(self, model, cycle):
        return model.check(cycle)
