from hestia_earth.calculation.calculation_hierarchies import Emissions_hierarchy
from hestia_earth.calculation.models.nh3ToAirCropResidueDecompositionDeRuijterEtAl2010\
    import NH3ToAirCropResidueDecompositionDeRuijterEtAl2010
from hestia_earth.utils.api import download_hestia

MODEL_KEY = 'nh3ToAirCropResidueDecomposition'


class Hierarchy_nh3ToAirCropResidueDecomposition(Emissions_hierarchy):
    def __init__(self):
        super().__init__()
        self.term = download_hestia(MODEL_KEY)

        model1 = NH3ToAirCropResidueDecompositionDeRuijterEtAl2010()

        self.models = [model1]

    def calculate_model(self, model, cycle):
        self.best_result = model.calculate_nh3ToAirCropResidueDecomposition()
        self.best_tier = model.tier

    def check_model(self, model, cycle):
        return model.check_nh3ToAirCropResidueDecomposition(cycle)
