from hestia_earth.calculation.calculation_hierarchies import Emissions_hierarchy
from hestia_earth.calculation.models.nh3ToAirOrganicFertilizerWebbEtAl2012AndSintermannEtAl2012\
    import NH3ToAirOrganicFertilizerWebbEtAl2012AndSintermannEtAl2012
from hestia_earth.utils.api import download_hestia

MODEL_KEY = 'nh3ToAirOrganicFertilizer'


class Hierarchy_nh3ToAirOrganicFertilizer(Emissions_hierarchy):
    def __init__(self):
        super().__init__()
        self.term = download_hestia(MODEL_KEY)

        model1 = NH3ToAirOrganicFertilizerWebbEtAl2012AndSintermannEtAl2012()

        self.models = [model1]

    def calculate_model(self, model, cycle):
        self.best_result = model.calculate_nh3ToAirOrganicFertilizer()
        self.best_tier = model.tier

    def check_model(self, model, cycle):
        return model.check_nh3ToAirOrganicFertilizer(cycle)
