import numpy as np
from hestia_earth.calculation.calculation_models import Assesment_model
from hestia_earth.utils.lookup import download_lookup


class Co2EqGwp100IncludingClimateCarbonFeedbacksIpcc2013(Assesment_model):
    def __init__(self):
        super().__init__()
        self.id = "co2EqGwp100IncludingClimate-CarbonFeedbacksIpcc2013"
        self.lookup = {elem[0]: elem[2] for elem in download_lookup('emission.csv') if not np.isnan(elem[2])}
