import numpy as np
from hestia_earth.calculation.calculation_models import Assesment_model
from hestia_earth.utils.lookup import download_lookup


class NoxeqEutrophicationIncludingFateAverageEuropeCml2001NonBaseline(Assesment_model):
    def __init__(self):
        super().__init__()
        self.id = "noxeqEutrophicationIncludingFateAverageEuropeCml2001Non-Baseline"
        self.lookup = {elem[0]: elem[3] for elem in download_lookup('emission.csv') if not np.isnan(elem[3])}
