import numpy as np
from hestia_earth.calculation.calculation_models import Assesment_model
from hestia_earth.utils.lookup import download_lookup


class Po4_EqEutrophicationExcludingFateCml2001Baseline(Assesment_model):
    def __init__(self):
        super().__init__()
        self.id = "po4-EqEutrophicationExcludingFateCml2001Baseline"
        self.lookup = {elem[0]: elem[4] for elem in download_lookup('emission.csv') if not np.isnan(elem[4])}
