from hestia_earth.calculation.calculation_hierarchies import Emissions_hierarchy
from hestia_earth.calculation.models.no3ToGroundwaterAllInputsPooreNemecek2018\
    import NO3ToGroundwaterAllInputsPooreNemecek2018
from hestia_earth.utils.api import download_hestia

MODEL_KEY = 'no3ToGroundwaterExcreta'


class Hierarchy_no3ToGroundwaterExcreta(Emissions_hierarchy):
    def __init__(self):
        super().__init__()
        self.term = download_hestia(MODEL_KEY)

        model1 = NO3ToGroundwaterAllInputsPooreNemecek2018()

        self.models = [model1]

    def calculate_model(self, model, cycle):
        self.best_result = model.calculate_no3ToGroundwaterExcreta()
        self.best_tier = model.tier

    def check_model(self, model, cycle):
        return model.check_no3ToGroundwaterExcreta(cycle)
