from hestia_earth.calculation.calculation_hierarchies import Emissions_hierarchy
from hestia_earth.calculation.models.pErosionSalcaSchererPfister2015 import PErosionSalcaSchererPfister2015
from hestia_earth.utils.api import download_hestia

MODEL_KEY = 'pErosionAllOrigins'


class Hierarchy_pErosionAllOrigins(Emissions_hierarchy):
    def __init__(self):
        super().__init__()
        self.term = download_hestia(MODEL_KEY)

        model1 = PErosionSalcaSchererPfister2015()

        self.models = [model1]

    def calculate_model(self, model, cycle):
        self.best_result = model.calculate_pErosionAllOrigins()
        self.best_tier = model.tier

    def check_model(self, model, cycle):
        return model.check_pErosionAllOrigins(cycle)
