import numpy as np
from hestia_earth.calculation.calculation_models import Assesment_model
from hestia_earth.utils.lookup import download_lookup


class Co2EqGwp100ExcludingClimateCarbonFeedbacksIpcc2013(Assesment_model):
    def __init__(self):
        super().__init__()
        self.id = "co2EqGwp100ExcludingClimate-CarbonFeedbacksIpcc2013"
        self.lookup = {elem[0]: elem[1] for elem in download_lookup('emission.csv') if not np.isnan(elem[1])}
