import numpy as np
from hestia_earth.calculation.calculation_models import Assesment_model
from hestia_earth.utils.lookup import download_lookup


class So2EqTerrestrialAcidificationIncludingFateAverageEuropeCml2001Baseline(Assesment_model):
    def __init__(self):
        super().__init__()
        self.id = "so2EqTerrestrialAcidificationIncludingFateAverageEuropeCml2001Baseline"
        self.lookup = {elem[0]: elem[6] for elem in download_lookup('emission.csv') if not np.isnan(elem[6])}
